# ===========================
# Hookshot Registration Secret
# ===========================
apiVersion: v1
kind: Secret
metadata:
  name: matrix-hookshot-registration
  namespace: matrix
type: Opaque
stringData:
  registration.yml: |
    id: hookshot
    url: http://matrix-hookshot.matrix.svc.cluster.local:9993
    as_token: d3c8fccbe082aa2a59da362b3805abe4c4cebcd7e822cdbd700d84e7c55c485f
    hs_token: c31f7a18d3d2d79bd7a03e2794d966317155c409699cb6fd0922023cf45f9c3b
    sender_localpart: hookshot
    namespaces:
      users:
        - exclusive: false
          regex: "^@(hookshot|_webhooks_.*):matrix-lp.allarddcs.nl$"
      rooms: []
      aliases: []
